=== windowswitchers/CMakeLists.txt ===
# packages
set(TABBOX_DIR ${KDE_INSTALL_DATADIR}/kwin/tabbox)
install(DIRECTORY big_icons    DESTINATION  ${TABBOX_DIR})
install(DIRECTORY compact      DESTINATION ${TABBOX_DIR})
install(DIRECTORY coverswitch  DESTINATION ${TABBOX_DIR})
install(DIRECTORY flipswitch   DESTINATION ${TABBOX_DIR})
install(DIRECTORY informative  DESTINATION ${TABBOX_DIR})
install(DIRECTORY present_windows  DESTINATION ${TABBOX_DIR})
install(DIRECTORY small_icons  DESTINATION ${TABBOX_DIR})
install(DIRECTORY text         DESTINATION ${TABBOX_DIR})
install(DIRECTORY thumbnail_grid   DESTINATION ${TABBOX_DIR})
install(DIRECTORY thumbnails   DESTINATION ${TABBOX_DIR})

install(FILES IconTabBox.qml DESTINATION ${TABBOX_DIR}/big_icons/contents/ui)
install(FILES IconTabBox.qml DESTINATION ${TABBOX_DIR}/small_icons/contents/ui)
