=== plasmacalendarplugins/alternatecalendar/config/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Fushan Wen <qydwhotmail@gmail.com>

# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(qml)
add_subdirectory(plugin)
