=== debian/changelog ===
kdeplasma-addons (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:29:55 +0100

kdeplasma-addons (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build depend on the plasma-workspace binary package, as this
      is completely unneeded.
    - Build and runtime deps at Plasma 5.27 and Frameworks 5.102.0
    - qml-module-qtwebkit runtime dep no longer required.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 14:48:58 +0100

kdeplasma-addons (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:55:52 +0200

kdeplasma-addons (4:5.27.5-3) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Update the build dependencies according to the upstream build system:
    - drop unused: kross-dev, libkf5archive-dev, libkf5iconthemes-dev,
      libkf5widgetsaddons-dev, libkf5windowsystem-dev, and libkf5xmlgui-dev
  * Drop the unused kross dependency in plasma-dataengines-addons.
  * Simplify the installation of the dictionary widget, which depends on
    QtWebEngine:
    - add the dh-exec build dependency
    - add to plasma-widgets-addons.install the list of files & directories
      of the widget
    - drop the manual copying done in rules
    - drop the (duplicated) list of files from not-installed

 -- Pino Toscano <pino@debian.org>  Tue, 18 Jul 2023 23:25:47 +0200
