=== debian/control ===
--- 
+++ 
@@ -1,48 +1,41 @@
 Source: kdeplasma-addons
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               dh-exec,
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               kross-dev (>= 5.79.0~),
                libicu-dev (>= 66.1~),
-               libkf5archive-dev (>= 5.90.0~),
-               libkf5config-dev (>= 5.90.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5declarative-dev (>= 5.90.0~),
-               libkf5holidays-dev (>= 1:5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5iconthemes-dev (>= 5.79.0~),
-               libkf5kcmutils-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5holidays-dev (>= 1:5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5kcmutils-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
                libkf5networkmanagerqt-dev,
-               libkf5newstuff-dev (>= 5.90.0~),
-               libkf5notifications-dev (>= 5.90.0~),
-               libkf5plasma-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5plasma-dev (>= 5.102.0~),
                libkf5purpose-dev (>= 5.70.0~),
-               libkf5runner-dev (>= 5.90.0~),
-               libkf5service-dev (>= 5.90.0~),
-               libkf5sonnet-dev (>= 5.90.0~),
+               libkf5runner-dev (>= 5.102.0~),
+               libkf5service-dev (>= 5.102.0~),
+               libkf5sonnet-dev (>= 5.102.0~),
                libkf5unitconversion-dev (>= 5.90.0~),
-               libkf5widgetsaddons-dev (>= 5.70.0~),
-               libkf5windowsystem-dev (>= 5.90.0~),
-               libkf5xmlgui-dev (>= 5.79.0~),
                pkg-config,
-               pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace (>= 4:5.27.5~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386],
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
 Rules-Requires-Root: no
 
 Package: kdeplasma-addons-data
@@ -60,7 +53,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.27.5~) | kwin (>= 4:5.27.5~),
+         kwin-x11 (>= 4:5.27.7~) | kwin (>= 4:5.27.7~),
          plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -92,7 +85,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kross,
          plasma-framework (>= 5.79.0~),
          qml-module-qtquick-layouts,
          ${misc:Depends},
@@ -154,7 +146,7 @@
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.79.0~),
-         plasma-workspace (>= 4:5.27.5~),
+         plasma-workspace (>= 4:5.27.7~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -164,11 +156,10 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
-         qml-module-qtwebkit,
+         qml-module-qtwebengine [amd64 arm64 armhf i386],
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: plasma-systemmonitor (>= 4:5.27.5~),
+Recommends: plasma-systemmonitor (>= 4:5.27.7~),
 Suggests: quota,
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
