## kdeplasma-addons 5.27.10

=== debian/changelog ===
kdeplasma-addons (4:5.27.10-0ubuntu2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Dec 2023 07:14:23 +0100

kdeplasma-addons (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:20:57 +0000

kdeplasma-addons (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:06 +0100
