=== applets/CMakeLists.txt ===
plasma_install_package(kickerdash org.kde.plasma.kickerdash)
plasma_install_package(konsoleprofiles/package org.kde.plasma.konsoleprofiles)
plasma_install_package(keyboardindicator org.kde.plasma.keyboardindicator)
plasma_install_package(katesessions org.kde.plasma.addons.katesessions)

add_subdirectory(binary-clock)
add_subdirectory(calculator)
add_subdirectory(colorpicker)
add_subdirectory(comic)
add_subdirectory(dict)
add_subdirectory(diskquota)
add_subdirectory(fifteenPuzzle)
add_subdirectory(fuzzy-clock)
add_subdirectory(grouping)
add_subdirectory(mediaframe)
add_subdirectory(nightcolor)
add_subdirectory(notes)
add_subdirectory(quicklaunch)
add_subdirectory(quickshare)
add_subdirectory(timer)
add_subdirectory(userswitcher)
add_subdirectory(weather)
add_subdirectory(webbrowser)
