=== applets/fuzzy-clock/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.fuzzyclock)
