=== debian/changelog ===
kdeplasma-addons (4:5.27.11-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:55 +0000

kdeplasma-addons (4:5.27.11-0ubuntu2) noble; urgency=medium

  * Disable qtwebengine on armhf for now.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Mar 2024 05:00:06 +0000

kdeplasma-addons (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:21:08 +0000

kdeplasma-addons (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:51:44 +0000

kdeplasma-addons (4:5.27.10-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build depend on the plasma-workspace binary package, as this
      is completely unneeded.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:19:59 -0700

kdeplasma-addons (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:27:31 +0100

kdeplasma-addons (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:50 +0200

kdeplasma-addons (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:32:00 +0200
