=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
                libkf5service-dev (>= 5.102.0~),
                libkf5sonnet-dev (>= 5.102.0~),
                libkf5unitconversion-dev (>= 5.90.0~),
-               pkg-config,
+               pkgconf,
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386],
+               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 i386],
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
@@ -53,7 +53,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.27.7~) | kwin (>= 4:5.27.7~),
+         kwin-x11 (>= 4:5.27.10~) | kwin (>= 4:5.27.10~),
          plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -146,7 +146,7 @@
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.79.0~),
-         plasma-workspace (>= 4:5.27.7~),
+         plasma-workspace (>= 4:5.27.10~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -159,7 +159,7 @@
          qml-module-qtwebengine [amd64 arm64 armhf i386],
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: plasma-systemmonitor (>= 4:5.27.7~),
+Recommends: plasma-systemmonitor (>= 4:5.27.10~),
 Suggests: quota,
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
